public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/cheese/
Date: Mon, 17 Apr 2023 23:45:02 +0000 (UTC)	[thread overview]
Message-ID: <1681775099.b4bb8c582a79fc4e28d81f841d8936b83a26376a.mattst88@gentoo> (raw)

commit:     b4bb8c582a79fc4e28d81f841d8936b83a26376a
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 17 23:43:36 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Apr 17 23:44:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4bb8c58

media-video/cheese: Version bump to 44.0.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-video/cheese/Manifest             |   1 +
 media-video/cheese/cheese-44.0.1.ebuild | 100 ++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/media-video/cheese/Manifest b/media-video/cheese/Manifest
index 1cee1c50a243..7095b5972333 100644
--- a/media-video/cheese/Manifest
+++ b/media-video/cheese/Manifest
@@ -1,2 +1,3 @@
 DIST cheese-43.0.tar.xz 1095328 BLAKE2B 728cf913336f09ae073508d6bf18f7bb0cf4bb0e16ad5d6acd5fb77b75577303b1a2d8820b280a31c15ebdcbf231205881440105c390a0f16681dc5274a74446 SHA512 07ed087490b4024ecbc097c1a62e24fdc0c5c8acac23ba3ed246104655a8b1786faee5caa5e59cfa7b725527b5aedc587b0f99a2b43100497f866966818e345e
+DIST cheese-44.0.1.tar.xz 1096012 BLAKE2B 53723346eb917002b3a05edfa7bad4f83f4754f321bad6bd6a275aa48786fcf5b7ce78159b226621fcf36d21abd4b07e18f64aa17214e69ba3414b0cb254ff58 SHA512 27154db0b19a7c2f70ced4f750570b1ce0af6d8d18450d57c5a85d83f06ea041247c549e6fc73ecfb531df8a789d6f8527878e004b4c35077ef2b14badf4907a
 DIST cheese-44.0.tar.xz 1095980 BLAKE2B d7c5e50c8e7a5d84a2b7a2e8a1074094f4e89585e54e82a58ed8dec94e7b175d13e8dbacf739e8d4cc64fa9cd7d9f848bc0757406d0ac2290a0b910d237c1d22 SHA512 eb0a4bac724370b9347a513c84d47339882d2a42baf912f9b23bc4ae36c2ccb52a6045a6f09ed4eb1c50a04471368edffbd2ce4ef59701d82f8ae2eb40810658

diff --git a/media-video/cheese/cheese-44.0.1.ebuild b/media-video/cheese/cheese-44.0.1.ebuild
new file mode 100644
index 000000000000..4b21283de386
--- /dev/null
+++ b/media-video/cheese/cheese-44.0.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org gnome2-utils meson vala virtualx xdg
+
+DESCRIPTION="A cheesy program to take pictures and videos from your webcam"
+HOMEPAGE="https://wiki.gnome.org/Apps/Cheese"
+
+LICENSE="GPL-2+"
+SLOT="0/8" # subslot = libcheese soname version
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="gtk-doc +introspection test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	>=media-libs/clutter-1.13.2:1.0[introspection?]
+	media-libs/clutter-gst:3.0
+	>=media-libs/clutter-gtk-0.91.8:1.0
+	x11-libs/gdk-pixbuf:2[jpeg,introspection?]
+	>=dev-libs/glib-2.39.90:2
+	>=gnome-base/gnome-desktop-2.91.6:3=
+	>=media-libs/gstreamer-1.4:1.0[introspection?]
+	>=media-libs/gst-plugins-base-1.4:1.0[ogg,pango,theora,vorbis]
+	>=media-libs/gst-plugins-bad-1.4:1.0
+	>=x11-libs/gtk+-3.13.4:3
+	>=media-libs/libcanberra-0.26[gtk3]
+	x11-libs/libX11
+	sys-apps/dbus
+	media-video/gnome-video-effects
+	introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+
+	media-libs/cogl:1.0=[introspection?]
+
+"
+RDEPEND="${DEPEND}
+	>=media-libs/gst-plugins-good-1.4:1.0
+
+	>=media-plugins/gst-plugins-jpeg-1.4:1.0
+	|| (
+		>=media-plugins/gst-plugins-v4l2-1.4:1.0
+		media-video/pipewire[gstreamer,v4l]
+	)
+	>=media-plugins/gst-plugins-vpx-1.4:1.0
+"
+
+BDEPEND="
+	gtk-doc? ( dev-util/gtk-doc )
+	dev-libs/libxslt
+	app-text/docbook-xml-dtd:4.3
+	dev-util/itstool
+	dev-libs/appstream-glib
+	dev-libs/libxml2:2
+	dev-util/glib-utils
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	x11-base/xorg-proto
+	test? ( x11-libs/libXtst )
+	$(vala_depend)
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-43.0-buildfix.patch
+)
+
+src_prepare() {
+	default
+	vala_setup
+	xdg_environment_reset
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use gtk-doc gtk_doc)
+		$(meson_use introspection)
+		$(meson_use test tests)
+		-Dman=true
+	)
+
+	meson_src_configure
+
+	# Hack: version.xml is not generated if gtk-doc is not enabled
+	echo ${PV} > docs/reference/version.xml
+}
+
+src_test() {
+	gnome2_environment_reset # Avoid dconf that looks at XDG_DATA_DIRS, which can sandbox fail if flatpak is installed
+	virtx meson_src_test
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


             reply	other threads:[~2023-04-17 23:45 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-17 23:45 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 18:39 [gentoo-commits] repo/gentoo:master commit in: media-video/cheese/ Andreas Sturmlechner
2023-08-30  7:57 Arthur Zamarin
2023-07-18 22:39 Matt Turner
2023-05-17 21:55 Matt Turner
2023-05-05  9:19 Arthur Zamarin
2023-05-05  9:13 Arthur Zamarin
2023-05-02 18:00 Arthur Zamarin
2023-04-10 14:16 Matt Turner
2023-02-17  8:23 Arthur Zamarin
2021-12-31  3:42 Yixun Lan
2021-12-26 22:32 Mart Raudsepp
2021-12-19  2:00 Matt Turner
2021-11-06  4:09 Sam James
2021-10-04  1:25 Sam James
2021-10-04  1:24 Sam James
2021-09-25 10:40 Mart Raudsepp
2021-04-24  9:20 Mart Raudsepp
2021-04-15  5:25 Sam James
2021-04-15  1:33 Sam James
2021-04-14 18:51 Mikle Kolyada
2021-03-13 18:32 Matt Turner
2021-03-04  0:23 Sam James
2020-05-03 20:22 Mart Raudsepp
2020-04-25 20:17 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2019-12-23 22:23 Mart Raudsepp
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-10-13 12:14 Mart Raudsepp
2019-10-13  0:18 Matt Turner
2019-08-03 19:04 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-01-18 22:15 Mart Raudsepp
2019-01-18 22:15 Mart Raudsepp
2018-12-21 22:17 Gilles Dartiguelongue
2018-12-02 17:27 Mart Raudsepp
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-08-03 11:45 Mart Raudsepp
2018-02-03 23:00 Mart Raudsepp
2018-01-27  0:41 Thomas Deutschmann
2018-01-19  7:34 Gilles Dartiguelongue
2018-01-18  2:58 Mikle Kolyada
2017-08-13  9:51 Gilles Dartiguelongue
2016-10-23 23:01 Gilles Dartiguelongue
2016-10-23 23:01 Gilles Dartiguelongue
2016-09-04 16:22 Gilles Dartiguelongue
2016-07-02 17:12 Pacho Ramos
2016-07-02 17:12 Pacho Ramos
2016-03-06 18:03 Mikle Kolyada
2015-11-24 20:02 Gilles Dartiguelongue
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-09-07 19:58 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1681775099.b4bb8c582a79fc4e28d81f841d8936b83a26376a.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox